org.apache.http.conn.ssl

## Class PrivateKeyDetails

- java.lang.Object
- - org.apache.http.conn.ssl.PrivateKeyDetails

Deprecated.
(4.4) use `PrivateKeyDetails`.

    @Deprecated
    public final class PrivateKeyDetails
    extends Object

Private key details.

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`PrivateKeyDetails(String type, X509Certificate[] certChain)` Deprecated.

### Method Summary

Methods
`X509Certificate[]` `getCertChain()` Deprecated.
`String` `getType()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrivateKeyDetails

    public PrivateKeyDetails(String type,
                     X509Certificate[] certChain)

Deprecated.

### Method Detail

#### getType

    public String getType()

Deprecated.

#### getCertChain

    public X509Certificate[] getCertChain()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`